------------------------------------------------------------------------------------
--Name:  	baiseqingrenjie3
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-02-13
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(42, 42)
CppScriptMgr:ShakeScrEffect(1)
local Effect_1 = CppScriptMgr:AddEffect("CSGX_hong", 37, 47, 33, 1, 1, 1)
local Effect_2 = CppScriptMgr:AddEffect("CSGX_hong", 47, 37, 33, 1, 1, 1)
local Effect_3 = CppScriptMgr:AddEffect("CSGX_hong", 47, 47, 33, 1, 1, 1)
local Effect_4 = CppScriptMgr:AddEffect("CSGX_hong", 37, 37, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Effect_5 = CppScriptMgr:AddEffect("zf2-e233", 42, 42, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(430)
local Player_1 = CppScriptMgr:AddSimplePlayer(1056527, 42, 42, "", 0, 0)
Player_1:SetZoomPercent(150)
Player_1:SetDir(7)
CppScriptMgr:WaitMilSec(2040)
Player_1:Say("Is that just a dream?", 1500)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(2520)